curl --request GET \
--url 'https://api.atoa.me/api/webhook/v2/endpoints?page=0&size=10' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/webhook/v2/endpoints"
params = { "page": 0, "size": 10 }
headers = { "Authorization": "Bearer <token>" }
response = requests.request("GET", url, headers=headers, params=params)
print(response.text)
const params = new URLSearchParams({ page: 0, size: 10 });
fetch(`https://api.atoa.me/api/webhook/v2/endpoints?${params}`, {
method: 'GET',
headers: { Authorization: 'Bearer <token>' }
})
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/webhook/v2/endpoints?page=0&size=10",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.atoa.me/api/webhook/v2/endpoints?page=0&size=10"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/webhook/v2/endpoints")
.header("Authorization", "Bearer <token>")
.queryString("page", 0)
.queryString("size", 10)
.asString();
{
"data": [
{
"id": "4a124f25-fe8d-47a0-92c8-16d94cbfe24c",
"url": "https://your-server.com/webhooks",
"description": "Production orders endpoint",
"environment": "PRODUCTION",
"events": [
{ "event": "PAYMENTS_STATUS", "label": "Payment Status" },
{ "event": "REFUND_STATUS", "label": "Refund Status" }
],
"hasAuthentication": false,
"authenticationType": null,
"failureCount": 0,
"lastDeliveredAt": "2025-06-01T12:00:00.000Z"
}
],
"totalCount": 1,
"page": 0,
"size": 10
}
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
Endpoints
List Endpoints | Webhooks API
List endpoints via the Atoa Webhooks API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
GET
/
api
/
webhook
/
v2
/
endpoints
Returns a paginated list of all webhook endpoints for your business account. The environment (
Response
SANDBOX or PRODUCTION) is determined by the API key used — you will only see endpoints for that environment.
Authorization
Bearer<token>
Query Parameters
number
Zero-based page number. Defaults to
0.number
Number of items per page (max 50). Defaults to
10.array
Array of endpoint objects. See Create endpoint for the full endpoint shape.
number
Total number of endpoints for your account in this environment across all pages.
number
Current zero-based page number.
number
Page size used for this response.
⌘I